using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Reckless Driver",
                    NameToOrderByOverride = "Driver Drive Ahead",
                    DescriptionOverride = "A driver from the mobile game ''Drive Ahead!''.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Driver_View.png"),
                    AfterSpawn = (Instance) =>
                    {
			var person = Instance.GetComponent<PersonBehaviour>();
                        foreach (var body in person.Limbs)
                        {
                        }

                        var skin = ModAPI.LoadTexture("Driver.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			person.SetBodyTextures(skin, null, null, 1);
			person.SetBruiseColor(134, 29, 11); 
			person.SetSecondBruiseColor(134, 29, 11); 
			person.SetThirdBruiseColor(134, 29, 11); 
                    }
                }
            );
            //
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Driver Helmet",
                    NameToOrderByOverride = "Driver Drive Ahead",
                    DescriptionOverride = "The base helmet from the mobile game ''Drive Ahead!''.",
                    CategoryOverride = ModAPI.FindCategory("Entities"),
                    ThumbnailOverride = ModAPI.LoadSprite("Helmet_View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        if (Instance.GetComponent<RandomSpriteBehaviour>() == null)
                        {
                        Instance.AddComponent<RandomSpriteBehaviour>();
                        }

            		Instance.GetComponent<RandomSpriteBehaviour>().PickRandomOnStart = false;
                        Instance.GetComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                        {
                        ModAPI.LoadSprite("Blue_Helmet.png"),
                        ModAPI.LoadSprite("Red_Helmet.png"),
                        };
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;
                        armor.stabResistance = 20f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 20;

            		var item = Instance.GetComponent<PhysicalBehaviour>();
                   	Instance.GetComponent<GlowingHotMetalBehaviour>().enabled = false;

                        foreach (var Colliders in Instance.GetComponents<Collider2D>())
                        {
                        GameObject.Destroy(Colliders);
			}
                        var Colliders1 = Instance.AddComponent<BoxCollider2D>();
                        Colliders1.size = new Vector2(0.345f, 0.33f);
                        Colliders1.offset = new Vector2(0f, 0.015f);
                        Colliders1.GetComponent<PhysicalBehaviour>().colliders = Colliders1.GetComponentsInChildren<Collider2D>();
                    }
                }
            );
        }
    }
}